com.hazelcast.util.collection

## Class Object2LongHashMap.EntrySet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<Map.Entry<K,Long>>
    - - com.hazelcast.util.collection.Object2LongHashMap.EntrySet

- All Implemented Interfaces:
    Iterable<Map.Entry<K,Long>>, Collection<Map.Entry<K,Long>>, Set<Map.Entry<K,Long>>
  Enclosing class:
    Object2LongHashMap<K>

      public final class Object2LongHashMap.EntrySet
      extends AbstractSet<Map.Entry<K,Long>>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntrySet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `contains(Object o)`
    `Object2LongHashMap.EntryIterator` | `iterator()`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, containsAll, isEmpty, remove, retainAll, spliterator, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### EntrySet

          public EntrySet()

  - ### Method Detail

    - #### iterator

          public Object2LongHashMap.EntryIterator iterator()

      Specified by:
        `iterator` in interface `Iterable<Map.Entry<K,Long>>`
      Specified by:
        `iterator` in interface `Collection<Map.Entry<K,Long>>`
      Specified by:
        `iterator` in interface `Set<Map.Entry<K,Long>>`
      Specified by:
        `iterator` in class `AbstractCollection<Map.Entry<K,Long>>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<Map.Entry<K,Long>>`
      Specified by:
        `size` in interface `Set<Map.Entry<K,Long>>`
      Specified by:
        `size` in class `AbstractCollection<Map.Entry<K,Long>>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<Map.Entry<K,Long>>`
      Specified by:
        `clear` in interface `Set<Map.Entry<K,Long>>`
      Overrides:
        `clear` in class `AbstractCollection<Map.Entry<K,Long>>`

    - #### contains

          public boolean contains(Object o)

      Specified by:
        `contains` in interface `Collection<Map.Entry<K,Long>>`
      Specified by:
        `contains` in interface `Set<Map.Entry<K,Long>>`
      Overrides:
        `contains` in class `AbstractCollection<Map.Entry<K,Long>>`

Copyright © 2020. All rights reserved.